Bug 61926 - stupid: while recompile php (php-4.0.6-15.src.rpm) with oracle missing 2 keywords ( Group Summary ) into the spec file
Summary: stupid: while recompile php (php-4.0.6-15.src.rpm) with oracle missing 2 key...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-26 00:16 UTC by Need Real Name
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-26 18:57:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-03-26 00:16:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.8-31.2mdk i686)

Description of problem:
This is a possible patch (without oracle enable):

--- php.spec.orig       Tue Mar 26 01:07:51 2002
+++ php.spec.new        Tue Mar 26 01:08:37 2002
@@ -11,6 +11,7 @@
 %define ext_iconv  1
 %define ext_mm 1
 %define ext_openssl 1
+%define oracle 0
 
 %{!?oracle:%define oracle 0}
 
@@ -197,6 +198,8 @@
 %endif
 %if %{oracle}
 %package oci8
+Group: Development/Languages
+Summary: A module for PHP applications that use Oracle databases.
 %description oci8
 %endif
 %if %{snmp}


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -ivh php-4.0.6-15.src.rpm
2. cd /usr/src/redhat
3. add %define oralce 1 in SPECS/php.spec
4. rpm -bb SPECS/php.spec
 

Actual Results:  error: Summary field must be present in package: php-oci8
error: Group field must be present in package: php-oci8


Expected Results:  Compiling

Additional info:

none

Comment 1 Phil Copeland 2002-06-04 20:16:30 UTC
Well, obviously we don't ship the oracle libraries so we can't compile it up by
default 
BUT, if you have the src rpm of the current errata and the oracle libs installed
you can issue a 

  rpm --define 'oracle 1' --rebuild php*src.rpm

and install the resulting rpms. There will be a php-oci8 rpm built

Phil
=--=


Note You need to log in before you can comment on or make changes to this bug.